<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{50594667-0000-0000-0000-000000000000}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon></ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>OpenSim.Data.NHibernate</AssemblyName>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <AppDesignerFolder></AppDesignerFolder>
    <RootNamespace>OpenSim.Data.NHibernate</RootNamespace>
    <StartupObject></StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DocumentationFile></DocumentationFile>
    <DebugSymbols>True</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <Optimize>False</Optimize>
    <OutputPath>../../../bin/</OutputPath>
    <RegisterForComInterop>False</RegisterForComInterop>
    <RemoveIntegerChecks>False</RemoveIntegerChecks>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <NoWarn></NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile></DocumentationFile>
    <DebugSymbols>False</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <Optimize>True</Optimize>
    <OutputPath>../../../bin/</OutputPath>
    <RegisterForComInterop>False</RegisterForComInterop>
    <RemoveIntegerChecks>False</RemoveIntegerChecks>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <NoWarn></NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="log4net.dll" >
      <HintPath>..\..\..\bin\log4net.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="NHibernate.dll" >
      <HintPath>..\..\..\bin\NHibernate.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="NHibernate.Mapping.Attributes.dll" >
      <HintPath>..\..\..\bin\NHibernate.Mapping.Attributes.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="OpenMetaverse.dll" >
      <HintPath>..\..\..\bin\OpenMetaverse.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="OpenMetaverseTypes.dll" >
      <HintPath>..\..\..\bin\OpenMetaverseTypes.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System" >
      <HintPath>System.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Data" >
      <HintPath>System.Data.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Xml" >
      <HintPath>System.Xml.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="../OpenSim.Data.csproj">
      <Name>OpenSim.Data</Name>
      <Project>{B75A430B-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../../Framework/OpenSim.Framework.csproj">
      <Name>OpenSim.Framework</Name>
      <Project>{7404933D-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../../Framework/Console/OpenSim.Framework.Console.csproj">
      <Name>OpenSim.Framework.Console</Name>
      <Project>{16759386-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../../Region/Environment/OpenSim.Region.Environment.csproj">
      <Name>OpenSim.Region.Environment</Name>
      <Project>{A3D93F9A-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="LLQuaternionUserType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LLUUIDUserType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LLVector3UserType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="NHibernateAssetData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="NHibernateInventoryData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="NHibernateManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="NHibernateRegionData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="NHibernateUserData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Terrain.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="TextureUserType.cs">
      <SubType>Code</SubType>
    </Compile>
    <EmbeddedResource Include="Resources/AssetBase.hbm.xml">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/InventoryFolderBase.hbm.xml">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/InventoryItemBase.hbm.xml">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/RegionStore.hbm.xml">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/UserAgentData.hbm.xml">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/UserAppearance.hbm.xml">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/UserProfileData.hbm.xml">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/SQLiteDialect/001_AssetStore.sql">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/SQLiteDialect/001_InventoryStore.sql">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/MySQLDialect/001_AssetStore.sql">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/MySQLDialect/001_InventoryStore.sql">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/MySQLDialect/001_RegionStore.sql">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/MySQLDialect/001_UserStore.sql">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/MySQLDialect/002_RegionStore.sql">
    </EmbeddedResource>
    <EmbeddedResource Include="Resources/MySQLDialect/003_RegionStore.sql">
    </EmbeddedResource>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSHARP.Targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>
